Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.text
Class AttributedCharacterSpanIterator

    java.lang.Object
      org.apache.batik.gvt.text.AttributedCharacterSpanIterator

All Implemented Interfaces:
  Cloneable, AttributedCharacterIterator, CharacterIterator

    public class AttributedCharacterSpanIterator

extends Object
implements AttributedCharacterIterator

AttributedCharacterSpanIterator Used to provide ACI functionality to a "substring" of an AttributedString. In this way a TextLayout can be created which only uses a substring of AttributedString.

Nested Class Summary

Nested classes/interfaces inherited from interface java.text.AttributedCharacterIterator
`AttributedCharacterIterator.Attribute`

Field Summary

Fields inherited from interface java.text.CharacterIterator
`DONE`

Constructor Summary
`AttributedCharacterSpanIterator(AttributedCharacterIterator aci, int start, int stop)` Construct a AttributedCharacterSpanIterator from a subinterval of an existing AttributedCharacterIterator.

Method Summary
`Object` | `clone()` Create a copy of this iterator
`char` | `current()` Get the character at the current position (as returned by getIndex()).
`char` | `first()` Sets the position to getBeginIndex().
`Set` | `getAllAttributeKeys()` Get the keys of all attributes defined on the iterator's text range.
`Object` | `getAttribute(AttributedCharacterIterator.Attribute attribute)` Get the value of the named attribute for the current character.
`Map` | `getAttributes()` Returns a map with the attributes defined on the current character.
`int` | `getBeginIndex()` Get the start index of the text.
`int` | `getEndIndex()` Get the end index of the text.
`int` | `getIndex()` Get the current index.
`int` | `getRunLimit()` Get the index of the first character following the run with respect to all attributes containing the current character.
`int` | `getRunLimit(AttributedCharacterIterator.Attribute attribute)` Get the index of the first character following the run with respect to the given attribute containing the current character.
`int` | `getRunLimit(Set attributes)` Get the index of the first character following the run with respect to the given attributes containing the current character.
`int` | `getRunStart()` Get the index of the first character of the run with respect to all attributes containing the current character.
`int` | `getRunStart(AttributedCharacterIterator.Attribute attribute)` Get the index of the first character of the run with respect to the given attribute containing the current character.
`int` | `getRunStart(Set attributes)` Get the index of the first character of the run with respect to the given attributes containing the current character.
`char` | `last()` Sets the position to getEndIndex()-1 (getEndIndex() if the text is empty) and returns the character at that position.
`char` | `next()` Increments the iterator's index by one, returning the next character.
`char` | `previous()` Decrements the iterator's index by one and returns the character at the new index.
`char` | `setIndex(int position)` Sets the position to the specified position in the text.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributedCharacterSpanIterator

    public AttributedCharacterSpanIterator(AttributedCharacterIterator aci,
                                           int start,
                                           int stop)

  Construct a AttributedCharacterSpanIterator from a subinterval of an existing AttributedCharacterIterator.

  Parameters:
    `aci` - The source AttributedCharacterIterator
    `start` - the first index of the subinterval
    `stop` - the index of the first character after the subinterval

Method Detail

### getAllAttributeKeys

    public Set getAllAttributeKeys()

  Get the keys of all attributes defined on the iterator's text range.

  Specified by:
    `getAllAttributeKeys` in interface `AttributedCharacterIterator`

### getAttribute

    public Object getAttribute(AttributedCharacterIterator.Attribute attribute)

  Get the value of the named attribute for the current character.

  Specified by:
    `getAttribute` in interface `AttributedCharacterIterator`

### getAttributes

    public Map getAttributes()

  Returns a map with the attributes defined on the current character.

  Specified by:
    `getAttributes` in interface `AttributedCharacterIterator`

### getRunLimit

    public int getRunLimit()

  Get the index of the first character following the run with respect to all attributes containing the current character.

  Specified by:
    `getRunLimit` in interface `AttributedCharacterIterator`

### getRunLimit

    public int getRunLimit(AttributedCharacterIterator.Attribute attribute)

  Get the index of the first character following the run with respect to the given attribute containing the current character.

  Specified by:
    `getRunLimit` in interface `AttributedCharacterIterator`

### getRunLimit

    public int getRunLimit(Set attributes)

  Get the index of the first character following the run with respect to the given attributes containing the current character.

  Specified by:
    `getRunLimit` in interface `AttributedCharacterIterator`

### getRunStart

    public int getRunStart()

  Get the index of the first character of the run with respect to all attributes containing the current character.

  Specified by:
    `getRunStart` in interface `AttributedCharacterIterator`

### getRunStart

    public int getRunStart(AttributedCharacterIterator.Attribute attribute)

  Get the index of the first character of the run with respect to the given attribute containing the current character.

  Specified by:
    `getRunStart` in interface `AttributedCharacterIterator`
  Parameters:
    `attribute` - The attribute for whose appearance the first offset is requested.

### getRunStart

    public int getRunStart(Set attributes)

  Get the index of the first character of the run with respect to the given attributes containing the current character.

  Specified by:
    `getRunStart` in interface `AttributedCharacterIterator`
  Parameters:
    `attributes` - the Set of attributes which begins at the returned index.

### clone

    public Object clone()

  Create a copy of this iterator

  Specified by:
    `clone` in interface `CharacterIterator`
  Overrides:
    `clone` in class `Object`

### current

    public char current()

  Get the character at the current position (as returned by getIndex()).
  Specified by: java.text.CharacterIterator.

  Specified by:
    `current` in interface `CharacterIterator`

### first

    public char first()

  Sets the position to getBeginIndex().

  Specified by:
    `first` in interface `CharacterIterator`
  Returns:
    the character at the start index of the text.
    Specified by: java.text.CharacterIterator.

### getBeginIndex

    public int getBeginIndex()

  Get the start index of the text.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `getBeginIndex` in interface `CharacterIterator`

### getEndIndex

    public int getEndIndex()

  Get the end index of the text.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `getEndIndex` in interface `CharacterIterator`

### getIndex

    public int getIndex()

  Get the current index.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `getIndex` in interface `CharacterIterator`

### last

    public char last()

  Sets the position to getEndIndex()-1 (getEndIndex() if the text is empty) and returns the character at that position.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `last` in interface `CharacterIterator`

### next

    public char next()

  Increments the iterator's index by one, returning the next character.

  Specified by:
    `next` in interface `CharacterIterator`
  Returns:
    the character at the new index.
    Specified by: java.text.CharacterIterator.

### previous

    public char previous()

  Decrements the iterator's index by one and returns the character at the new index.
  Specified by: java.text.CharacterIterator.

  Specified by:
    `previous` in interface `CharacterIterator`

### setIndex

    public char setIndex(int position)

  Sets the position to the specified position in the text.

  Specified by:
    `setIndex` in interface `CharacterIterator`
  Parameters:
    `position` - The new (current) index into the text.
  Returns:
    the character at new index position.
    Specified by: java.text.CharacterIterator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.